image:
  repository: mv-harbor.esx.portal.cn-mv.de/poc_dvs_repo/nextcloud
  tag: 22.2.0-apache                                ## Die DVS verwendet die Version 22.2.0 anstelle des uhrsprünglichen Image 21.0.4
  pullSecrets:
    - poc-dvs-repo-secret                           ## Robot Account zur privaten Registry, als Secret im Cluster abgelegt. (muss im Vorfeld erfolgen)         

ingress:
  enabled: false                                    ## Bald kommt ein Ingresscontroller und dann wird der wert auf True gesetzt. Übergangsweise benutzen wir erst einmal den Service type "LoadBalancer".
  tls:
     - secretName: dvs.dvz.de-wildcard               
       hosts:
         - nextcloud.dvs.dvz.de

service:
  type: LoadBalancer                                ## Alternative zum IngressController, ansonsten steht hier "ClusterIP" (sobald ingress auf true steht)
  port: 80
  loadBalancerIP: 10.10.0.10

nextcloud:
  host: nextcloud.dvs.dvz.de                        ## Wichtig, sonst wird bei der DNS Auflösung der Fehler "Untrusted Domain" zurückgemeldet.
  username: admin
  password: changeme